<?xml version='1.0' encoding='utf-8'?>

<!-- 

======================================================================================
Firma:            Voith Turbo
Projekt:          Voith Diagnostic Tools XSL-Formating for HTML Presentation of CAN
Dateiname:        CAN.XSL

Beschreibung:     Basis-Formater for CAN-Data
                  Alle benötigten XSL-Bereichs-Formater werden eingebunden und aufgerufen
                  
Doc in:           No
Ersterstellung:   /2009 - RThe
======================================================================================

 -->


<xsl:stylesheet version='2.0'
xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>

<!-- 

======================================================================================
Einbinden aller XSL-Templates
======================================================================================

 -->
  
  <xsl:include href="CAN_FileConfiguration.xsl" />
  <xsl:include href="CAN_ManualHeader.xsl" />
  <xsl:include href="CAN_FileContent.xsl" />
  <xsl:include href="CAN_MessagesForCom.xsl" />
  <xsl:include href="CAN_ReceiveMessages.xsl" />
  <xsl:include href="CAN_TransmitMessages.xsl" />
  <xsl:include href="CAN_SRL.xsl" />
    
  <xsl:template name="EOL2HTML_Formater_Basic" match=' / '>

<!-- 

======================================================================================
HTML-Seiten-Kopf
======================================================================================

 -->

    <html>
      <head>
        <title>Voith Turbo CAN Interface</title>
       
        <script src="Resources/JS/CAN.js" type="text/javascript" />
        <script>
          writeContentCSS();
        </script>
      </head>
       
              <body  bgcolor="#FFFFFF">
                <a name='Top' />


                <xsl:if test='VoithDiagnosticToolsCAN/CANAdditionalFiles/SRLFile'>
                  <xsl:apply-templates select="@url" />

                  <xsl:value-of select="document(@url)/VoithDiagnosticToolsCANSRL/CANSRLFileInformation/Project"/>                 
                </xsl:if>
                

                <div name='Page_Banner'>                                      
                      <table width="100%" border="1" cellpadding="0" style="border-width:0; border-collapse: collapse; " bordercolor="#111111" height="30" bgcolor="#FFFFFF">
                        <tr>
                          <td bgcolor="#990000" style="border-style: none; border-width: medium" height="30" width="12">                          
                          </td>
                          <td bgcolor="#E2E2E2" style="border-style: none; border-width: medium" height="30">
                            <table border="0" width="100%" id="table1">
                              <tr>                                                                                              
                                <td width="18">
                                  <a href="javascript:useStyle()">
                                    <img border="0" id="img5" src="Resources/XsL/Images/zoom_a.gif"  alt="Zoom" onmouseover="FP_swapImg(1,0,/*id*/'img5',/*url*/'Resources/XsL/Images/zoom_b.gif')" onmouseout="FP_swapImg(0,0,/*id*/'img5',/*url*/'Resources/XsL/Images/zoom_a.gif')" onmousedown="FP_swapImg(1,0,/*id*/'img5',/*url*/'Resources/XsL/Images/zoom_out.gif')" onmouseup="FP_swapImg(0,0,/*id*/'img5',/*url*/'Resources/XsL/Images/zoom_a.gif')" fp-style="fp-btn: Simple Line 1; fp-transparent: 1; fp-orig: 0" fp-title="zoom"/>
                                  </a>
                                </td>
                                <td width="9">
                                  <a href="javascript:PrintWindowContent()">
                                    <img border="0" id="img7" src="Resources/XsL/Images/print_b.gif"  alt="Print" onmouseover="FP_swapImg(1,0,/*id*/'img7',/*url*/'Resources/XsL/Images/print_a.gif')" onmouseout="FP_swapImg(0,0,/*id*/'img7',/*url*/'Resources/XsL/Images/print_b.gif')" onmousedown="FP_swapImg(1,0,/*id*/'img7',/*url*/'Resources/XsL/Images/print_out.gif')" onmouseup="FP_swapImg(0,0,/*id*/'img7',/*url*/'Resources/XsL/Images/print_b.gif')" fp-style="fp-btn: Simple Line 1; fp-transparent: 1; fp-orig: 0" fp-title="Drucken"/>
                                  </a>
                                </td>                                
                                <td>                                  
                                </td>

                                <td width="54">
                                  <a target="_top" href="CAN.html">
                                    <img border="0" src="images/bar_home.gif" width="37" height="17" alt="Startseite"/>
                                  </a>
                                </td>


                              </tr>
                            </table>
                          </td>
                        </tr>
                      </table>                    
                </div>


                <!-- 

                ======================================================================================
                HTML-Bereiche einfügen
                ======================================================================================

                -->

                <div id="ID_FileHeader" name="ID_FileHeader" style="display:block">
                  <xsl:call-template name="CAN2HTML_Formater_ManualHeader"/>
                </div>
                
                <div id="ID_FileConfiguration" name="ID_FileConfiguration" style="display:block">
                 <xsl:call-template name="CAN2HTML_Formater_FileConfiguration"/>                  
                </div>

                <div id="ID_FileContent" name="ID_FileContent" style="display:block">
                  <xsl:call-template name="CAN2HTML_Formater_FileContent"/>
                </div>

                <div id="ID_FileMessagesForCom" name="ID_FileMessagesForCom" style="display:block">
                  <xsl:call-template name="CAN2HTML_Formater_MessagesForCom"/>
                </div>

                <div id="ID_ReceiveMessages" name="ID_ReceiveMessages" style="display:block">
                  <xsl:call-template name="CAN2HTML_Formater_ReceiveMessages"/>
                </div>

                <div id="ID_TransmitMessages" name="ID_TransmitMessages" style="display:block">
                  <xsl:call-template name="CAN2HTML_Formater_TransmitMessages"/>
                </div>

                <div id="ID_SRLlist" name="ID_SRLlist" style="display:block">
                  <xsl:call-template name="CAN2HTML_Formater_SRL"/>
                </div>
               

              </body>
           
    </html>


  </xsl:template>
  
</xsl:stylesheet>



